
#include <iostream>
#include <fstream>
#include <set>
#include <map>
#include <sstream>

using namespace std;


int main()
{
    ifstream	gt("ground_truth");
    char	buf[1048576];

    map<int, set<int> >		C;

    while (gt.getline(buf, 1048575))
	{
	    istringstream	is(buf);
	    int		cluster;
	    is >> cluster;
	    if (cluster < 0) continue;

	    string	s;
	    while (is >> s && s!="|");
	    set<int>	S;
	    int		val;
	    while (is >> val) S.insert(val);
	    map<int, set<int> >::iterator	c_it=C.find(cluster);
	    if (c_it==C.end())
		{
		    C.insert( pair<int, set<int> >(cluster, S) );
		}
	    else
		{
		    (*c_it).second.insert(S.begin(), S.end());
		}
	}

    map<int, set<int> >::iterator	c_it=C.begin(), c_stop=C.end();
    for (; c_it!=c_stop; ++c_it)
	{
	    set<int>::iterator	it=(*c_it).second.begin(), stop=(*c_it).second.end();
	    for (; it!=stop; ++it)
		{
		    cout << (*c_it).first << " " << (*it) << endl;
		}
	}
}
