
#include <iostream>
#include <fstream>
#include <vector>
#include <string>

#include "clustering.h"
#include "k-means.h"

using namespace std;


int main( int argc, char **argv )
{
    char			*searchfrase = NULL;
    ClusteringAlgorithm		*CA = KMeans();

    for (int i=0; i<argc; i++)
	{
	    if (argv[i][0]=='-')
		{
		    i++;
		}
	    else if (searchfrase==NULL)
		{
		    searchfrase = argv[i];
		}
	    else
		{
		    ifstream		in(argv[i]);
		    vector<string>	dict;
		    string		s;

		    while (in>>s)
			{
			    dict.push_back(s);
			}

		    CA.addDocument(dict);
		}
	}

    cout << "Read " << D.size() << " files." << endl;
}
