
#include <iostream>
#include <iterator>
#include <list>
#include <set>
#include <vector>

using namespace std;


list< pair< vector<string>, set<int> > > traverse( vector<string> V )
{
    list< pair< vector<string>, set<int> > >	E;

    set<int>	S3;
    S3.insert(7);
    S3.insert(8);
    S3.insert(9);
    set<int>	S4;
    S4.insert(10);
    S4.insert(11);
    S4.insert(12);

    E.push_back( pair< vector<string>, set<int> >(V, S3) );
    E.push_back( pair< vector<string>, set<int> >(V, S4) );

    return E;
}



int main()
{
    list< pair< vector<string>, set<int> > >	A;

    vector<string>	V1, V2, V3, V4;

    V1.push_back("alpha");
    V1.push_back("beta");
    V2.push_back("delta");
    V2.push_back("gamma");
    V3.push_back("ultra1");
    V3.push_back("ultra2");
    V3.push_back("super1");
    V3.push_back("super2");

    set<int>	S1;
    S1.insert(1);
    S1.insert(2);
    S1.insert(3);
    set<int>	S2;
    S2.insert(4);
    S2.insert(5);
    S2.insert(6);

    A.push_back( pair< vector<string>, set<int> >(V1,S1) );
    A.push_back( pair< vector<string>, set<int> >(V2,S2) );

    list< pair< vector<string>, set<int> > >::iterator	it=A.begin(), stop=A.end();
    for (; it!=stop; ++it)
	{
	    vector<string>	V = (*it).first;
	    for (int i=0; i<V.size(); i++)
		cout << V[i] << " ";
	    set<int>::iterator	sit=(*it).second.begin(), sstop=(*it).second.end();
	    for (; sit!=sstop; ++sit)
		cout << *sit << " ";
	}
    cout << endl;

    list< pair< vector<string>, set<int> > >	E = traverse(V3);
    A.splice( A.end(), E );

    it=A.begin(), stop=A.end();
    for (; it!=stop; ++it)
	{
	    vector<string>	V = (*it).first;
	    for (int i=0; i<V.size(); i++)
		cout << V[i] << " ";
	    set<int>::iterator	sit=(*it).second.begin(), sstop=(*it).second.end();
	    for (; sit!=sstop; ++sit)
		cout << *sit << " ";
	}
    cout << endl;
}

